;+
;
; NAME: 
;	REMOVE_PATH
;
; PURPOSE:
;	This procedure removes directories with the input string
;	from the software path.
;
; CATEGORY:
;	GEN
;
; CALLING SEQUENCE:
; 	REMOVE_PATH, TEST_STRING
;	
;	E.G.
;	remove_path, 'schwartz' 
;
; 	!path will not have any elements with the string 'schwartz'
;
; CALLS:
;	arr2str
;
; INPUTS:
;       Search_string- remove directories with this substring
;
; OPTIONAL INPUTS:
;	none
;
; OUTPUTS:
;       none explicit, only through commons;
;
; OPTIONAL OUTPUTS:
;	none
;
; KEYWORDS:
;	OLD_PATH- the inititial !path
; COMMON BLOCKS:
;	none
;
; SIDE EFFECTS:
;	none
;
; RESTRICTIONS:
;	none
;
; PROCEDURE:
;	none
;
; MODIFICATION HISTORY:
;	Cleaned documentation, RAS, June 1996
;-


pro remove_path, search_string, old_path=old_path

old_path = !path

delim = ','
p = !path
if !version.os ne 'vms' then 	delim = ':'
	
r = expand_path(p, /arr) ; parse_comline( p, delim=delim, /nocase)

if !version.(1) ne 'vms' then $
	wuse = where( strpos(r, search_string) eq -1) else $
	wuse = where( strpos(strupcase(r), strupcase(search_string)) eq -1) 

!path=arr2str( r(wuse), delim )

end
