function extract_arr,data,xcen=xcen,ycen=ycen,xsiz=xsiz,ysiz=ysiz

; +
; PURPOSE:
;       Extracts sub-array from input array usings center
; CALLING SEQUENCE:
;       subdata = extract_arr(data,xcen=xcen,ycen=ycen,xsiz=xsiz,ysiz=ysiz)
; INPUTS:
;	data - array from which sub-array is to be extracted
;	xcen - x index of input array corresponding to center of sub-array
;	ycen - y index of input array corresponding to center of sub-array
;	xsiz - x size of sub-array
;	ysiz - y size of sub-array
; HISTORY:
;	5-sep-96 Written by G.L. Slater
; -

xsh = fix(xsiz)/2 & ysh = fix(ysiz)/2
sz_data = size(data)
subdata = make_array(xsiz,ysiz,type=data_chk(data,/type))
subdata((-(xcen-xsh+1))>0,(-(ycen-ysh+1))>0) = $
  data(((xcen-xsh+1)>0):((xcen+xsh)<(sz_data(1)-1)), $
       ((ycen-ysh+1)>0):((ycen+ysh)<(sz_data(2)-1)))

if keyword_set(qstop) then stop

return, subdata

end

