function file_stat, files, exist=exist, size=size
;+
;   Name: file_stat
;
;   Purpose: vector version of fstat
;
;   Input Paramters:
;      files - list of files to check
;
;   History:
;      11-Mar-1994 (SLF) Wanted faster file_exist function
;-
template=fstat(-1)
; initialize some parameters
template.name=''
template.size=-1

if data_chk(files,/string) then begin
   template=replicate(template,n_elements(files))
   for i=0,n_elements(files)-1 do begin
on_ioerror,err
      openr,lun,/get_lun,files(i)
      template(i)=fstat(lun)
      free_lun,lun
      goto,ok
err:       
   on_ioerror,null
ok:
   endfor
endif else begin
   message,/info,'Expect file or file array...'
   return,-1
endelse

case 1 of 
   keyword_set(exist): retval=template.name ne ''
   keyword_set(size):  retval=template.size
   else: retval=template.name ne ''		; default to /exist
endcase

return,retval

end
