;+
; NAME:
; 	FMT_TIMER	
; PURPOSE:
;	print formatted times of an index file
; CALLING SEQUENCE:
; 	fmt_timer,index	
; 	fmt_timer,index,tmin,tmax,imin=imin,imax=imax,tspan=tspan
;       fmt_timer,index,/noprint
; OPTIONAL OUTPUTS
;	TMIN	- formatted time of minimum time of index records
;	TMAX	- formatted time of maximum time of index records
;	IMIN	- index of the input structure INDEX corresponding to TMIN
;	IMAX	- index of the input structure INDEX corresponding to TMAX
;	TSPAN	- time span in sec of index records
; HISTORY:
;	Hugh Hudson, Dec. 18,  1992
;	HSH, outputs added May 18, 1993
;	HSH, changed output and added /noprint keyword Aug 26, 1993
;	GLS, modified code to handle cases where index records are not time
;	     sorted, and added IMIN, IMAX output keywords
;       SLF, use anytim.pro (allow all SSW/YOhkoh/SOHO times)
;-
pro fmt_timer, index, tmin, tmax, imin=imin, imax=imax, tspan=tspan, $
	       noprint=noprint

iindex=anytim(index,out='ints')           ; allow any SSW time

tsec = int2secarr(iindex)
imin = where(tsec eq min(tsec))
imax = where(tsec eq max(tsec))
tmin = fmt_tim(iindex(imin(0)))
tmax = fmt_tim(iindex(imax(0)))
tspan = tsec(imax(0)) - tsec(imin(0))

if 1-keyword_set(noprint)then $
  print,"(first, last) = '",tmin,"', '",tmax,"'"

end
