function str_copy, str1, str2
;
;+
;   Name: str_copy
;
;   Purpose: copy structures  - required when two structures are
;            identical in structure but differ in idl name
;            avoids conflicting data structure name
;
;   Input Parameters:
;      str1 - destination structure (template)
;      str2 - source structurei
;
;   Output: function return value is type str1 copy of str2 contents
;
;   History: slf, 10/24/91
;	     slf, 10/24/91 - streamlined recursive segment
;
;   Method: recursive for nested structures
;
;
for i=0,n_tags(str1) - 1 do $  
   if n_tags(str1.(i)) eq 0 then str1.(i)=str2.(i) else $ 
;     else its a structure, so recurse
      str1.(i)=str_copy(str1.(i),str2.(i))	
;
; return copied version
return,str1
end
