pro ssw_set_chianti, update=update
;+
;   Name: ssw_set_chianti
;
;   Purpose: set CHIANTI system variables within SSW environment
;
;   Input Parameters:
;     NONE
;
;   Keyword Parameters:
;     UPDATE - if set, force update even if alread defined.
;
;   History:
;      12-mar-1997 - S.L.Freeland (called from ssw_packages)
;-
update=keyword_set(update)
chianti_vars=str2arr('!xuvtop,!ioneq_file,!abund_file')
chianti_vals=str2arr('$SSW/packages/chianti,arnaud_rothenflug.ioneq,')

for i=0,n_elements(chianti_vars)-1 do begin
   defsysv,chianti_vars(i),exist=exist
   if update or (1-exist) then defsysv,chianti_vars(i),chianti_vals(i)
endfor

return
end

