function sswfits_struct, number, version=version, $
                         oldversion=olversion, update=update
;+
;   Name: sswfits_struct
;
;   Purpose: return "STANDARD" ssw structure  (FITs->IDL mapping)
;
;   Input Parameters:
;      number (optional) - number structures returned  - default is one  
;  
;   Calling Sequence:
;      str=sswfits_struct( [number] )
;
;   History:
;      15-jan-1997 - S.L. Freeland (from 'eit_struct.pro')
;      25-feb-1997 - SSW generic
;      10-apr-1997 - add CROTA
;-
version=1

common	ssw_struct_blk, str, catstr

if keyword_set(oldversion) then version=oldversion

if n_elements(str) eq 0 then 					$
   case version of 

   1: str={							$

        version:1,						$

;       ----------- standards (soho/yohkoh...) ------------------

        date:'', mjd:0l, day:0, time:0l,			$
        time_obs:'',date_obs:'',				$
	filename:'',				                $
        origin:'', telescop:'', instrume:'', object:'',		$
        sci_obj:'', obs_prog:'',				$

;       -------- pointing -----------------------
	ctype1:'',  ctype2:'', ctype3:'',			$
	crpix1:0.,  crpix2:0., crpix3:0.,  			$
        crval1:0.,  crval2:0., crval3:0., 		        $
        cdelt1:0.,  cdelt2:0., cdelt3:0.,			$
        crotA:0.,						$
        solar_r:0., solar_b0:0.} 		                

    else: message,/info,"Unexpected version number: " + strtrim(version,2)
endcase

outstr=str
if n_elements(number) gt 0 then outstr=replicate(outstr,long(number))

return,outstr
end


