;+
; Project     : SOHO - CDS     
;                   
; Name        : STR_FORMAT
;               
; Purpose     : format a variable to a string
;               
; Category    : utility
;               
; Explanation : 
;               
; Syntax      : IDL> result=STR_format(variable,format)
;    
; Examples    : 
;
; Inputs      : VARIABLE = variable to format
;               
; Opt. Inputs : FORMAT  = string format to use [def = '(f15.3')]
;               
; Outputs     : RESULT = variable formatted as a string
;
; Opt. Outputs: None
;               
; Keywords    : None
;
; Common      : None
;               
; Restrictions: None
;               
; Side effects: None
;               
; History     : Version 1,  4-May-1996,  D M Zarro.  Written
;
; Contact     : DMZARRO
;-            

function str_format,variable,format

if not exist(variable) then return,''
if datatype(format) ne 'STR' then sform='(f15.3)' else sform=format
return,string(variable,format=sform)

end

