function dir_since, indir, infage, sort=sort, subdir=subdir, except=except
;+
;
;   Name: dir_since
;
;   Purpose: directory listing for spcified age files
;
;   History: 
;      2-Nov-1993 (SLF)
;-

if n_elements(indir) eq 0 then begin
   message,/info,'No input directory, using current: ' + curdir()
   indir=curdir()
endif

dir=indir

if n_elements(infage) eq 0 then infage=0
fage=strtrim(infage,2)
message,/info,'Listing files older than ' + fage + ' days old'

if str_lastpos(dir,'/') ne strlen(dir) then dir= dir + '/'

mtime=" -mtime +"  + fage
findcmd="find " + dir + mtime + " -name \* -print"
spawn,findcmd,sfiles
if not keyword_set(subdir) then begin		;eliminate subdirectories
   lpdelim=str_lastpos(sfiles,'/')
   which=where(lpdelim eq str_lastpos(dir,'/'),lpcnt)
   if lpcnt eq 0 then sfiles='' else sfiles=sfiles(which)
endif

if keyword_set(except) then begin
   remain=rem_elem(sfiles,except,sscnt)
   if sscnt eq 0 then sfiles='' else sfiles=sfiles(remain)
endif

if keyword_set(sort) and n_elements(sfiles) gt 1 then begin
   break_file,sfiles,log,paths,files,exts,vers
   order=sort(files)
   sfiles=log(order) + paths(order) + files(order) + exts(order) + vers(order)
endif

if sfiles(0) eq '' then message,/info,'No files found'

return,sfiles
end   
   
