;+
; Project     : SOHO - CDS
;
; Name        : ESPAWN
;
; Purpose     : spawn a UNIX shell command and return STDIO and STDERR
;
; Category    : OS
;
; Explanation : regular IDL spawn command doesn't return an error message
;
; Syntax      : IDL> espawn,cmd,out
;
; Inputs      : CMD = UNIX command (e.g. cat file)
;
; Opt. Inputs : None
;
; Outputs     : OUT = output of CMD
;
; Opt. Outputs: None
;
; Keywords    : None
;
; Common      : None
;
; Restrictions: Unix only
;
; Side effects: None
;
; History     : Version 1,  24-Jan-1996,  D.M. Zarro.  Written
;
; Contact     : DZARRO@SOLAR.STANFORD.EDU
;-

pro espawn,cmd,out,count=count

out=''
if datatype(cmd) ne 'STR' then return
vms=os_family() eq 'vms'

if vms then ncmd=cmd else begin
 spawn,'tty',out,count=count,/noshell
 if count eq 0 then ncmd=cmd else begin
  common espawn,xxx
  pid=strtrim(string(long(randomu(xxx)*10000)),2) 
  junk='/tmp/temp'+pid
  ncmd='( '+cmd(0)+' ) >& '+junk+' ; \cat '+junk+' ; \rm '+junk
 endelse
endelse

keys=',count=count'
if vms then keys=keys+',/nowait,/nolog,/nocli'
if n_params() gt 1 then arg=',out' else arg=''
state="spawn,'"+ncmd+"'"+arg+keys
;dprint,'% ESPAWN: '+state
s=execute(state)

return & end
