function file_diff, f1, f2, idlpro=idlpro , mess=mess, status=status
;+
;   Name: file_diff
;
;   Purpose: check for ascii file difference (boolean)
;
;   Input Parameters:
;      f1, f2 - ascii file names
;
;   Calling Sequence:
;      truth=file_diff(file1, file2 [/idlpro] )
;
;   Keyword Parameters:
;      idlpro - if set, check for header/code differences (";"=comment)
;      mess   - output summary string
;      status - 0=nodiff, >0=diff, [/idlpro only: 2=header , 3=code]
;      
;   History:
;      29-Aug-1996 S.L.Freeland (extracted code from chk_conflict.pro)
;-

t1=byte(rd_tfile(f1))
t2=byte(rd_tfile(f2))
chk=where(t1 ne t2, dcnt)
diff=dcnt gt 0 or (n_elements(t1) ne n_elements(t2))
mess=(["No differences","Files are different"])(diff)

status=diff

if diff and keyword_set(idlpro) then begin
   t1=strcompress(strupcase(rd_tfile(f1,nocomment=';',/compress)),/remove)
   t2=strcompress(strupcase(rd_tfile(f2,nocomment=';',/compress)),/remove)
   diffr=where((t1 ne t2) or (n_elements(t1) ne n_elements(t2)),dcnt)
   mess=(["Header difference (only)","Code difference"])(dcnt gt 0)
   status=2+diff
endif

return,diff
end

