;+
; Project     : SOHO - CDS     
;                   
; Name        : GET_USER_ID
;               
; Purpose     : return user name and host 
;               
; Category    : utility
;               
; Explanation : 
;               
; Syntax      : IDL> user_id=get_user_id()
;    
; Examples    : 
;
; Inputs      : None
;               
; Opt. Inputs : None
;               
; Outputs     : USER_ID, e.g. zarro@smmdac.nascom.nasa.gov
;
; Opt. Outputs: None
;               
; Keywords    : None
;
; Common      : None
;               
; Restrictions: None
;               
; Side effects: None
;               
; History     : Version 1,  17-Aug-1996,  D M Zarro.  Written
;
; Contact     : DZARRO@SOLAR.STANFORD.EDU
;-            

function get_user_id,dummy

if os_family() eq 'vms' then begin
 spawn, 'write sys$output f$getjpi(f$pid(pid), "username")',username
 user_id = trim(username) + '@' + getenv('UCX$INET_HOST')
endif else begin
 spawn, 'hostname', hostname
 user_id = getenv('LOGNAME') + '@' + hostname(0)
endelse

return,user_id(0)
end

