;+
; NAME:
;       is_open
; PURPOSE:
;       check if a file unit is open
; CALLING SEQUENCE:
;       chk=is_open(file)
; INPUTS:
;       file = file to check
; OUTPUTS:
;       chk = 1 (open) or 0 (closed)
; PROCEDURE:
;       uses fstat
; HISTORY:
;       Written Jun'94 (DMZ,ARC)
;-

function is_open,file

chk=0
if !d.unit ne 0 then begin
 status=fstat(!d.unit)
 if strpos(strlowcase(file),strlowcase(status(0).name)) ge 0 then chk=1
endif

return,chk & end
