;+
; Project     : SOHO - CDS
;
; Name        : MK_TEMP_FILE
;
; Purpose     : Create a temporary filename 
;
; Category    : Utility
;
; Explanation : 
;
; Syntax      : IDL> file=mk_temp_file()
;
; Inputs      : FILE = file name [def='temp.dat']
;
; Opt. Inputs : None
;
; Outputs     : NAME = file name with added path
;               (PATH is current directory if it has write access, 
;               otherwise HOME directory is used)
;
; Opt. Outputs: None
;
; Keywords    : None
;
; Common      : None
;
; Restrictions: None
;
; Side effects: None
;
; History     : Version 1,  25-May-1997,  D.M. Zarro.  Written
;
; Contact     : DZARRO@SOLAR.STANFORD.EDU
;-

function mk_temp_file,file,path=path

cd,curr=curr
if test_open(curr,/write,/quiet) then path=curr else path=getenv('HOME')

if datatype(file) ne 'STR' then file='temp.dat'

break_file,file,fdsk,fdir,fname,fext

return,concat_dir(path,trim(fname+fext))
     
end

