;+
; Project     : SOHO - CDS     
;                   
; Name        : MK_DFONT
;               
; Purpose     : make some uniformly useful fonts for planning software
;               
; Category    : utility
;               
; Explanation : 
;               
; Syntax      : IDL> mk_dfont,lfont=lfont,bfont=bfont
;    
; Examples    : 
;
; Inputs      : None
;               
; Opt. Inputs : None
;               
; Outputs     : See keywords
;
; Opt. Outputs: None
;               
; Keywords    : LFONT = a label font
;               BFONT = a button font
;               TFONT = a text font
;               DEFAULT = use default font if one of above does not exist
;                         (otherwise, used fixed font)
;
; Common      : None
;               
; Restrictions: None
;               
; Side effects: None
;               
; History     : Version 1,  17-Aug-1996,  D M Zarro.  Written
;
; Contact     : DZARRO@SOLAR.STANFORD.EDU
;-            

pro mk_dfont,lfont=lfont,bfont=bfont,tfont=tfont,default=default

def_lfont='-misc-fixed-bold-r-normal--13-100-100-100-c-70-iso8859-1'
def_bfont='-adobe-courier-bold-r-normal--20-140-100-100-m-110-iso8859-1'
def_tfont='-adobe-courier-bold-r-normal--14-100-100-100-m-90-iso8859-1'
def=keyword_set(default)

if datatype(lfont) ne 'STR' then lfont=def_lfont
if trim(lfont) ne '' then begin
 lfont = (get_dfont(lfont))(0)
 if (lfont eq '') and (not def) then lfont = 'fixed'
endif

if datatype(bfont) ne 'STR' then bfont=def_bfont
if trim(bfont) ne '' then bfont=(get_dfont(bfont))(0)

if datatype(tfont) ne 'STR' then tfont=def_tfont
if trim(tfont) ne '' then begin
 tfont=(get_dfont(tfont))(0)
 if (tfont eq '') and (not def) then tfont = 'fixed'
endif

return & end

